import java.util.Scanner;

public class Examen01
{
  public static void main(String args[])
  {
    int numeroamostrar = 0;
    int aumento = 0;
    
    do
    {
      Scanner teclado = new Scanner(System.in);
      System.out.println("LED number display");
      System.out.println("");
      System.out.print("Numero a mostrar [0 = Salir]: ");
      numeroamostrar = teclado.nextInt();
      System.out.print("Factor de aumento (x): ");
      aumento = teclado.nextInt();
      
      //Para el uno
      int columnauno = 0;
      int filauno = 0;
      
      switch (numeroamostrar)
      {
        
        case 1:
        {
          for ( filauno = 1; filauno <= filauno + (filauno*aumento); filauno = filauno + (filauno*aumento)) 
          {
            System.out.print("#");
            for ( columnauno = 1; columnauno <= columnauno + (columnauno*aumento); columnauno = columnauno + (columnauno*aumento)) 
            {
              System.out.println("#");
            }
            System.out.println();
          }
        }
        
        //Para el cero
        int filamax = 0;
        int columnamax = 0;
        case 0:
        {
          for (int filacero = 1; filacero <= filacero*aumento; filacero = filacero + (filacero*aumento)) 
          {
            for (int columnacero = 1; columnacero <= columnacero*aumento; columnacero = columnacero + (columnacero*aumento)) 
            {
              System.out.print("#");
            }
            System.out.println();
          }
        }
        
        case 2:
        {
          for (int filados = 1; filados <= filados*aumento; filados = filados + (filados*aumento)) 
          {
            for (int columnados = 1; columnados <= columnados*aumento; columnados = columnados + (columnados*aumento)) 
            {
              System.out.print("#");
            }
            System.out.println();
          }
        }
        System.out.println();
      }               
    }
    while (numeroamostrar != 0);
  }
}




